import { ContractData, Literal, ProgramTerms, WitnessData } from '../types/index.js';
export declare function validate_program_terms(terms: unknown): asserts terms is ProgramTerms;
export declare function check_program_config(method: string, params: Literal[]): void;
export declare function validate_witness(contract: ContractData, witness: WitnessData): void;
export declare function verify_witness(witness: WitnessData): void;
